Bug 20412

Summary: * Assertion at method-to-ir.c:12061, condition `handler_offset != -1' not met
Product: [Mono] Runtime Reporter: Marek Safar <masafa>
Component: VerifierAssignee: Bugzilla <bugzilla>
Status: RESOLVED FIXED    
Severity: normal CC: kumpera, mono-bugs+mono, mono-bugs+runtime, ramc
Priority: ---    
Version: unspecified   
Target Milestone: ---   
Hardware: PC   
OS: Mac OS   
Tags: Is this bug a regression?: ---
Last known good build:
Attachments: test

Description Marek Safar 2014-06-06 03:52:35 UTC
peverify test-ex-filter-01.exe

* Assertion at method-to-ir.c:12061, condition `handler_offset != -1' not met

Stacktrace:


Native stacktrace:

	0   mono                                0x0017deea mono_handle_native_sigsegv + 426
	1   mono                                0x0023645b sigabrt_signal_handler + 171
	2   libsystem_platform.dylib            0x935fcdeb _sigtramp + 43
	3   ???                                 0xffffffff 0x0 + 4294967295
	4   libsystem_c.dylib                   0x93fb429c abort + 155
	5   mono                                0x004819a3 monoeg_g_logv + 323
	6   mono                                0x00481a47 monoeg_assertion_message + 71
	7   mono                                0x000bec44 mono_method_to_ir + 300100
	8   mono                                0x0006131e mini_method_compile + 5678
	9   mono                                0x0006cbb3 mono_jit_compile_method_inner + 2163
	10  mono                                0x00066204 mono_jit_compile_method_with_opt + 996
	11  mono                                0x0006a0a8 mono_jit_runtime_invoke + 1256
	12  mono                                0x00377330 mono_runtime_invoke + 208
	13  mono                                0x003835a2 mono_runtime_exec_main + 738
	14  mono                                0x003832b7 mono_runtime_run_main + 1079
	15  mono                                0x00135b4e mono_jit_exec + 286
	16  mono                                0x00139ac7 main_thread_handler + 647
	17  mono                                0x00138416 mono_main + 9014
	18  mono                                0x00054508 mono_main_with_options + 1016
	19  mono                                0x00054100 main + 64
	20  libdyld.dylib                       0x96903701 start + 1
	21  ???                                 0x00000003 0x0 + 3

.NET

[IL]: [X::Main][offset 0x0000000D] Rethrow from outside a catch handler.
[IL]: [X::Main][offset 0x0000000F] Stack underflow.
Comment 1 Marek Safar 2014-06-06 03:53:23 UTC
Created attachment 7002 [details]
test
Comment 2 Rodrigo Kumpera 2014-07-27 17:59:57 UTC
Fixed on master.
Comment 3 Ram Chandra 2014-08-06 09:46:07 UTC
I have tried to verify this issue but I am not sure how to verify this issue. Could you please provide some steps, so that I can check this Issue at our end?